# Update from Lemmy after the Reddit blackout

_Written by @dessalines and @nutomic, 2023-06-17_

If you are reading this then you most likely know about the recent news from reddit. As a result of these events, Lemmy has grown immensely in the last two weeks. The number of [monthly active users](https://the-federation.info/lemmy) has increased over 25 times, from 1.000 to 27.000 at time of writing. Suddenly Lemmy has become one of the largest Fediverse projects, ahead of Peertube and Pleroma.

We are proud of this network growth, because it means that people want to take control of their social media into their own hands, as well as see the benefits of software made to serve human need, rather than the private profits of a few US tech giants.

However such growth can't happen without problems. Users were confused, servers became overloaded, and countless bugs were reported that no one noticed before. For us maintainers (dessalines and nutomic), it has resulted in an endless stream of questions and notifications, which is impossible to keep up with. Previously there were 5 - 10 Github notifications per day; now they have risen to over 100 daily.

Additionally, discussions on Matrix and Lemmy are also extremely active. Understandably, our focus has shifted to programming to make Lemmy better, rather than answering an ever-increasing backlog of questions.

At the moment we are urgently working to solve major issues, such as optimizing slow database queries, ripping out the inefficient websocket API, and fixing a major security vulnerability (big thanks to deadcade). In addition we suddenly have to manage dozens of pull requests. To give us time to work on these priorities, it would be very beneficial if users could refrain from interacting with issue trackers when possible. Before opening an issue, make sure that it hasn't been reported before. And when writing comments, make sure that they actually contribute to solving the issue at hand. Generally it is better to move discussions to Lemmy if possible. We are very thankful to everyone who contributes by writing code, hosting instances, moderating communities, and answering questions.

At the same time, we are seeing lots of requests to implement major new features, such as migration between instances, or combining similar communities. As described above, we are completely overloaded with work, and definitely won't have time to implement these in the near future. If there is a feature you want to see implemented, you will likely need to work on it yourself, or find someone who can.

On another topic, there are rumors circulating that we are fascists or supported genocide. These claims are completely false, and like most viral twitter threads, are coming from a single Mastodon user on a personal vendetta who didn't provide any sources. Such slander doesn't deserve any response and is best left ignored. If you want to know the truth then read the following pages (both from 2021):

- [History of Lemmy](https://join-lemmy.org/docs/en/users/07-history-of-lemmy.html)
- [What is lemmy.ml](https://lemmy.ml/post/70280)

As you can see we are not a faceless corporation that is accomodating to everyone. We are individuals with our own opinions. If you disagree with these, it is no problem! You can still freely use the Lemmy software on different instances. If you host your own instance, we have no control over it at all and are unable to censor what users say. For more details read the documentation on [censorship resistance](https://join-lemmy.org/docs/en/users/05-censorship-resistance.html). In practice, the [instance list](https://join-lemmy.org/instances) already contains various instances whose content would be banned from lemmy.ml immediately.

Regarding development, we are happy to collaborate with anyone who is willing to put in the work, regardless of politics. The only condition is to follow the [rules](https://join-lemmy.org/docs/en/code_of_conduct.html) when posting in development spaces. Essentially, be respectful.

For the past three years dessalines and I have been funded to work on Lemmy full-time by generous support from the [NLnet foundation](https://nlnet.nl/).
These donations are paid out when we implement certain new features. But now we are busy answering questions, reviewing pull requests and urgently fixing problems. That means we are unable to work on the milestones agreed with NLnet, and won't receive payments from them. We are increasingly reliant on user donations to pay our bills. These donations currently add up to 1500 Euros per month, which is not even enough to pay minimum wage for the two of us. Hopefully more users can consider [donating](https://join-lemmy.org/donate), so that we can put our full attention to making Lemmy better for everyone, and possibly add more developers to our worker co-op in the future.

Again, we'd like to thank everyone for their support and assistance, and we remain hopeful that together, as a federation, the fediverse and all its projects collectively, can win the battle for the internet, and create a better, more enjoyable experience than the one forced upon us by these nefarious tech giants.
